--[[
    ActionbarPlus Addon
--]]
--[[-----------------------------------------------------------------------------
Lua Vars
-------------------------------------------------------------------------------]]
local sformat = string.format

--[[-----------------------------------------------------------------------------
Local Vars
-------------------------------------------------------------------------------]]
--- @type Namespace
local _, ns = ...

local LocUtil = ns.O.LocalizationUtil

---@type AceLocale
local L = LibStub("AceLocale-3.0"):GetLocale(ns.name)
if not L then return end

-- General
ABP_TITLE                                    = "ActionbarPlus"
ABP_CATEGORY                                 = "AddOns/" .. ABP_TITLE

-- Key binding localization text
BINDING_HEADER_ABP                           = ABP_TITLE
BINDING_HEADER_ABP_CATEGORY                  = ABP_CATEGORY
BINDING_NAME_ABP_OPTIONS_DLG                 = L['Options Dialog']
BINDING_HEADER_ABP_GENERAL                   = L['General']


--[[-----------------------------------------------------------------------------
Localization
-------------------------------------------------------------------------------]]

ABP_ACTIONBAR_BASE_NAME                      = L['ABP_ACTIONBAR_BASE_NAME']
ABP_BUTTON_BASE_NAME                         = L['ABP_BUTTON_BASE_NAME']

LocUtil:MapBindingsXMLNames(L, ABP_ACTIONBAR_BASE_NAME, ABP_TITLE)

ABP_GENERAL_CONFIG_LOCK_ACTION_BARS_NAME                        = L['ABP_GENERAL_CONFIG_LOCK_ACTION_BARS_NAME']
ABP_GENERAL_CONFIG_LOCK_ACTION_BARS_DESC                        = L['ABP_GENERAL_CONFIG_LOCK_ACTION_BARS_DESC']

ABP_GENERAL_CONFIG_HIDE_WHEN_TAXI_ACTION_BARS_NAME              = L['ABP_GENERAL_CONFIG_HIDE_WHEN_TAXI_ACTION_BARS_NAME']
ABP_GENERAL_CONFIG_HIDE_WHEN_TAXI_ACTION_BARS_DESC              = L['ABP_GENERAL_CONFIG_HIDE_WHEN_TAXI_ACTION_BARS_DESC']
ABP_GENERAL_CONFIG_ENABLE_ACTION_BUTTON_GLOW_NAME               = L['ABP_GENERAL_CONFIG_ENABLE_ACTION_BUTTON_GLOW_NAME']
ABP_GENERAL_CONFIG_ENABLE_ACTION_BUTTON_GLOW_DESC               = L['ABP_GENERAL_CONFIG_ENABLE_ACTION_BUTTON_GLOW_DESC']

ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_KEY_NAME                  = L['ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_KEY_NAME']
ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_KEY_DESC                  = L['ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_KEY_DESC']
ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_COMBAT_OVERRIDE_KEY_NAME  = L['ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_COMBAT_OVERRIDE_KEY_NAME']
ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_COMBAT_OVERRIDE_KEY_DESC  = L['ABP_GENERAL_CONFIG_TOOLTIP_VISIBILITY_COMBAT_OVERRIDE_KEY_DESC']
ABP_GENERAL_CONFIG_HIDE_COUNTDOWN_NUMBERS_ON_COOLDOWNS_NAME     = L['ABP_GENERAL_CONFIG_HIDE_COUNTDOWN_NUMBERS_ON_COOLDOWNS_NAME']
ABP_GENERAL_CONFIG_HIDE_COUNTDOWN_NUMBERS_ON_COOLDOWNS_DESC     = L['ABP_GENERAL_CONFIG_HIDE_COUNTDOWN_NUMBERS_ON_COOLDOWNS_DESC']
ABP_GENERAL_CONFIG_HIDE_TEXTS_FOR_SMALLER_BUTTONS_NAME          = L['ABP_GENERAL_CONFIG_HIDE_TEXTS_FOR_SMALLER_BUTTONS_NAME']
ABP_GENERAL_CONFIG_HIDE_TEXTS_FOR_SMALLER_BUTTONS_DESC          = L['ABP_GENERAL_CONFIG_HIDE_TEXTS_FOR_SMALLER_BUTTONS_DESC']
ABP_GENERAL_CONFIG_CHARACTER_SPECIFIC_FRAME_POSITIONS_NAME      = L['ABP_GENERAL_CONFIG_CHARACTER_SPECIFIC_FRAME_POSITIONS_NAME']
ABP_GENERAL_CONFIG_CHARACTER_SPECIFIC_FRAME_POSITIONS_DESC      = L['ABP_GENERAL_CONFIG_CHARACTER_SPECIFIC_FRAME_POSITIONS_DESC']

ABP_BAR_CONFIG_RESET_ANCHOR_BUTTON_DESC                         = L['ABP_BAR_CONFIG_RESET_ANCHOR_BUTTON_DESC']
ABP_BAR_CONFIG_RESET_ANCHOR_BUTTON_LABEL                        = L['ABP_BAR_CONFIG_RESET_ANCHOR_BUTTON_LABEL']

ABP_BAR_CONFIG_SHOW_EMPTY_BUTTONS_NAME                          = L['ABP_BAR_CONFIG_SHOW_EMPTY_BUTTONS_NAME']
ABP_BAR_CONFIG_SHOW_EMPTY_BUTTONS_DESC                          = L['ABP_BAR_CONFIG_SHOW_EMPTY_BUTTONS_DESC']
ABP_BAR_CONFIG_SHOW_BUTTON_NUMBERS_NAME                         = L['ABP_BAR_CONFIG_SHOW_BUTTON_NUMBERS_NAME']
ABP_BAR_CONFIG_SHOW_BUTTON_NUMBERS_DESC                         = L['ABP_BAR_CONFIG_SHOW_BUTTON_NUMBERS_DESC']
ABP_BAR_CONFIG_SHOW_KEYBIND_TEXT_NAME                           = L['ABP_BAR_CONFIG_SHOW_KEYBIND_TEXT_NAME']
ABP_BAR_CONFIG_SHOW_KEYBIND_TEXT_DESC                           = L['ABP_BAR_CONFIG_SHOW_KEYBIND_TEXT_DESC']
ABP_BAR_CONFIG_ALPHA_NAME                                       = L['ABP_BAR_CONFIG_ALPHA_NAME']
ABP_BAR_CONFIG_ALPHA_DESC                                       = L['ABP_BAR_CONFIG_ALPHA_DESC']
ABP_BAR_CONFIG_SIZE_NAME                                        = L['ABP_BAR_CONFIG_SIZE_NAME']
ABP_BAR_CONFIG_SIZE_DESC                                        = L['ABP_BAR_CONFIG_SIZE_DESC']
ABP_BAR_CONFIG_ROWS_NAME                                        = L['ABP_BAR_CONFIG_ROWS_NAME']
ABP_BAR_CONFIG_ROWS_DESC                                        = L['ABP_BAR_CONFIG_ROWS_DESC']
ABP_BAR_CONFIG_COLS_NAME                                        = L['ABP_BAR_CONFIG_COLS_NAME']
ABP_BAR_CONFIG_COLS_DESC                                        = L['ABP_BAR_CONFIG_COLS_DESC']
ABP_BAR_CONFIG_LOCK_NAME                                        = L['ABP_BAR_CONFIG_LOCK_NAME']
ABP_BAR_CONFIG_LOCK_DESC                                        = L['ABP_BAR_CONFIG_LOCK_DESC']
ABP_BAR_CONFIG_MOUSEOVER_NAME                                   = L['ABP_BAR_CONFIG_MOUSEOVER_NAME']
ABP_BAR_CONFIG_MOUSEOVER_DESC                                   = L['ABP_BAR_CONFIG_MOUSEOVER_DESC']
ABP_BAR_CONFIG_FRAME_HANDLE_SETTINGS_HEADER                     = L['ABP_BAR_CONFIG_FRAME_HANDLE_SETTINGS_HEADER']
ABP_BAR_CONFIG_FRAME_HANDLE_OPACITY_NAME                        = L['ABP_BAR_CONFIG_FRAME_HANDLE_OPACITY_NAME']
ABP_BAR_CONFIG_FRAME_HANDLE_OPACITY_DESC                        = L['ABP_BAR_CONFIG_FRAME_HANDLE_OPACITY_DESC']
